---
Fuzzer filename: '/src/rnp/src/fuzzing/keyimport.c'
All functions:
  Function list name: All functions
  Elements:
    - functionName:    LLVMFuzzerTestOneInput
      functionSourceFile: '/src/rnp/src/fuzzing/keyimport.c'
      linkageType:     externalLinkage
      functionLinenumber: 38
      functionLinenumberEnd: 90
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         9
      ICount:          99
      EdgeCount:       11
      CyclomaticComplexity: 4
      functionsReached:
        - rnp_buffer_destroy
        - rnp_ffi_create
        - rnp_ffi_destroy
        - rnp_import_keys
        - rnp_input_destroy
        - rnp_input_from_memory
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'rnp/src/fuzzing/keyimport.c:45,11'
          Dst:             rnp_input_from_memory
        - Src:             'rnp/src/fuzzing/keyimport.c:46,11'
          Dst:             rnp_ffi_create
        - Src:             'rnp/src/fuzzing/keyimport.c:48,11'
          Dst:             rnp_import_keys
        - Src:             'rnp/src/fuzzing/keyimport.c:49,5'
          Dst:             rnp_buffer_destroy
        - Src:             'rnp/src/fuzzing/keyimport.c:50,5'
          Dst:             rnp_input_destroy
        - Src:             'rnp/src/fuzzing/keyimport.c:51,5'
          Dst:             rnp_ffi_destroy
        - Src:             'rnp/src/fuzzing/keyimport.c:55,11'
          Dst:             rnp_input_from_memory
        - Src:             'rnp/src/fuzzing/keyimport.c:56,11'
          Dst:             rnp_ffi_create
        - Src:             'rnp/src/fuzzing/keyimport.c:58,11'
          Dst:             rnp_import_keys
        - Src:             'rnp/src/fuzzing/keyimport.c:59,5'
          Dst:             rnp_buffer_destroy
        - Src:             'rnp/src/fuzzing/keyimport.c:60,5'
          Dst:             rnp_input_destroy
        - Src:             'rnp/src/fuzzing/keyimport.c:61,5'
          Dst:             rnp_ffi_destroy
        - Src:             'rnp/src/fuzzing/keyimport.c:65,11'
          Dst:             rnp_input_from_memory
        - Src:             'rnp/src/fuzzing/keyimport.c:66,11'
          Dst:             rnp_ffi_create
        - Src:             'rnp/src/fuzzing/keyimport.c:70,15'
          Dst:             rnp_import_keys
        - Src:             'rnp/src/fuzzing/keyimport.c:71,9'
          Dst:             rnp_buffer_destroy
        - Src:             'rnp/src/fuzzing/keyimport.c:73,5'
          Dst:             rnp_input_destroy
        - Src:             'rnp/src/fuzzing/keyimport.c:74,5'
          Dst:             rnp_ffi_destroy
        - Src:             'rnp/src/fuzzing/keyimport.c:78,11'
          Dst:             rnp_input_from_memory
        - Src:             'rnp/src/fuzzing/keyimport.c:79,11'
          Dst:             rnp_ffi_create
        - Src:             'rnp/src/fuzzing/keyimport.c:83,15'
          Dst:             rnp_import_keys
        - Src:             'rnp/src/fuzzing/keyimport.c:84,9'
          Dst:             rnp_buffer_destroy
        - Src:             'rnp/src/fuzzing/keyimport.c:86,5'
          Dst:             rnp_input_destroy
        - Src:             'rnp/src/fuzzing/keyimport.c:87,5'
          Dst:             rnp_ffi_destroy
    - functionName:    rnp_input_from_memory
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - size_t
        - bool
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    rnp_ffi_create
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    rnp_import_keys
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    rnp_buffer_destroy
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    rnp_input_destroy
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
    - functionName:    rnp_ffi_destroy
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    4
      BranchProfiles:  []
      Callsites:       []
...
